Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] testing/girara: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 7 Jun 2015 01:05:33 +0000

https://pwmt.org/projects/girara
GTK+3 user interface library
---
 testing/girara/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/girara/APKBUILD
diff --git a/testing/girara/APKBUILD b/testing/girara/APKBUILD
new file mode 100644
index 0000000..5ebb318
--- /dev/null
+++ b/testing/girara/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=girara
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="GTK+3 user interface library"
+url="https://pwmt.org/projects/girara"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev gtk+3.0-dev ncurses doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
+
+_builddir="$srcdir"/girara-$pkgver
+build() {
+	cd "$_builddir"
+	make || return 1
+	make doc
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	mkdir -m 0755 -p "$pkgdir"/usr/share/doc || return 1
+	cp -r "$_builddir"/doc/build/html "$pkgdir"/usr/share/doc/zathura || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="f22a75b51cf88f241096e230985f28db  girara-0.2.4.tar.gz"
+sha256sums="2ee04e4c0e700d455ebaf92f804355f948754e7d3751d409db6595419e6ece5e  girara-0.2.4.tar.gz"
+sha512sums="9e22c6beb1d85a84db7b014da12fe425dced36e5ef9cd5828303d438642e09943fc9ae150b925f8b8ea5bd4e8bf8803ee964ce400e67b3ea314a4dec0a4643b4  girara-0.2.4.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 07 2015 - 01:05:33 GMT